local wezterm = require("wezterm")

local M = {}

M.merge_tables = function(a, b)
    for k, v in pairs(b) do
        if a[v] ~= nil then
            wezterm.log_warn("Duplicate config option detected: ", { old = a[k], new = b[k]})
        end
        a[k] = v
    end
end

M.get_schemes = function()
    -- Only load color schemes once; store them for later use
    local schemes = wezterm.GLOBAL.color_schemes
    if schemes then
        return schemes
    end
    wezterm.GLOBAL.color_schemes = wezterm.get_builtin_color_schemes()
    return wezterm.GLOBAL.color_schemes
end

return M
